Subject: RE: [Geopriv]: Another review of the geopriv radius location attr ibutes draft

From: Avi Lior <[email-masked]>
Date: Wed, 10 Nov 2004 14:12:14 -0500

Hi Bernard and Lionel,

> > ==> How does the AAA server instruct the access network to send 
> > location information attributes within the new Access-Request? Is 
> > there any specific attribute in the COA indicating that the 
> location 
> > information is requested? Or do you assume that any Access-Request 
> > sent by the NAS will contain the location information 
> attribute and so 
> > case 1 and 2 are the same?
> 
> RFC 3576 does not use attributes in the CoA-Request in order 
> to request attributes in a subsequent Access-Request.  Nor 
> does it make sense to include location attributes in a 
> CoA-Request.  The session to which the CoA applies is not 
> selected using location attributes, nor is the request that 
> the NAS change its location -- "Please move NAS17483 to 
> Cleveland, Ohio."

I agree with Bernard, and we don't send location attributes to the NAS in
COA Request.

I think that the text is confusing:

   "The COA message may instruct the access
   network to generate an Authorize-Only Access-Request (Access-Request
   with Service-Type set to "Authorize-Only") in which case it is
   instructing the access network to send the location information
   attributes."

May be we should say:

   "The COA message may instruct the access
   network to generate an Authorize-Only Access-Request (Access-Request
   with Service-Type set to "Authorize-Only") in which case the NAS 
   MUST include the location infromation in this Access-Request."
 
> > ==> Is there a way for the AAA server to indicate to the access 
> > network that the request failed because the location information is 
> > missing?
> 
> See RFC 3576 Error-Cause attribute, value 402 (Missing Attribute)

I don't think that we can use the Error-Cause attribute.  It is only
available in COA ACK/NAK messages. So the AAA has no way to tell the NAS
that it is missing the location attribute. I don't think that this attribute
can be placed in an Access-Reject message.
What do you think Bernard? 

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv